# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section         free
%define namedversion    7.2.2.v20101205

Name:           jetty7
Summary:        Jetty 7 Web Server
Url:            http://www.eclipse.org/jetty/
Version:        7.2.2
Release:        0.20101205.1%{?dist}
Epoch:          0
License:        Apache Software License 2.0
Group:          Development/Libraries
Source0:        jetty-7.2.2.v20101205.tgz
# svn export http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty/tags/jetty-7.2.2.v20101205/ 
# tar czf jetty-7.2.2.v20101205.tgz jetty-7.2.2.v20101205/

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        http://repo1.maven.org/maven2/org/eclipse/osgi/3.5.0.v20090520/osgi-3.5.0.v20090520.jar
Source4:        http://repo1.maven.org/maven2/org/eclipse/osgi/services/3.1.200-v20070605/services-3.1.200-v20070605.jar
Source5:        http://repo1.maven.org/maven2/org/eclipse/equinox/http/servlet/1.0.0-v20070606/servlet-1.0.0-v20070606.jar
Source6:        http://repo1.maven.org/maven2/org/eclipse/jetty/jetty-parent/16/jetty-parent-16.pom
Source7:        http://repo1.maven.org/maven2/org/codehaus/mojo/mojo-parent/23/mojo-parent-23.pom

Patch0:         jetty7-webapp-pom.patch
Patch1:         jetty7-jmx-pom.patch
Patch2:         jetty7-deploy-pom.patch
Patch3:         jetty7-ajp-pom.patch
Patch4:         jetty7-plus-pom.patch
Patch5:         jetty7-rewrite-pom.patch
Patch6:         jetty7-test-jetty-webapp-pom.patch

Patch95:        jetty7-aggregate-all-bootstrap-pom.patch
Patch96:        jetty7-aggregate-all-server-bootstrap-pom.patch 
Patch97:        jetty7-osgi-bootstrap-pom.patch
Patch98:        jetty7-osgi-boot-jsp-bootstrap.patch
Patch99:        jetty7-bootstrap-pom.patch


BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  mojo-parent
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-findbugs
BuildRequires:  apache-commons-parent
BuildRequires:  apache-felix-maven-bundle-plugin
BuildRequires:  geronimo-genesis
BuildRequires:  jetty-assembly-descriptors
BuildRequires:  jetty-build-support
BuildRequires:  jetty-artifact-remote-resources

BuildRequires:  derby
BuildRequires:  jetty-servlet-3.0-api
BuildRequires:  jetty-jsp-2.1
BuildRequires:  jetty6-core
BuildRequires:  logback

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5
Requires:  java >= 0:1.6.0
Requires:  servlet_3_0_api
Requires:  jetty6-core
Requires:  jetty-jsp-2.1
Requires:  logback

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The Jetty Web Server provides a HTTP server and Servlet
container capable of serving static and dynamic contend
either from a standalone or embedded instantiations. From
jetty-7, the jetty webserver and other core compoments are
hosted by the eclipse foundation. The project provides:
* Asynchronous HTTP Server
* Standard based Servlet Container
* Web Sockets server
* Asynchronous HTTP Client
* OSGi, JNDI, JMX, JASPI, AJP support

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n jetty-7.2.2.v20101205
chmod -R go=u-w *
cp %{SOURCE1} settings.xml
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6

%patch95 -b .sav95
%patch96 -b .sav96
%patch97 -b .sav97
%patch98 -b .sav98
%patch99 -b .sav99

cp jetty-util/src/main/assembly/config.xml jetty-util
cp jetty-server/src/main/assembly/site-component.xml jetty-server/config.xml

%build
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/osgi/3.5.0.v20090520/
cp %{SOURCE3} $MAVEN_REPO_LOCAL/org/eclipse/osgi/3.5.0.v20090520/osgi-3.5.0.v20090520.jar
mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/osgi/services/3.1.200-v20070605/
cp %{SOURCE4} $MAVEN_REPO_LOCAL/org/eclipse/osgi/services/3.1.200-v20070605/services-3.1.200-v20070605.jar
mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/equinox/http/servlet/1.0.0-v20070606/
cp %{SOURCE5} $MAVEN_REPO_LOCAL/org/eclipse/equinox/http/servlet/1.0.0-v20070606/servlet-1.0.0-v20070606.jar
mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/jetty/jetty-parent/16/
cp %{SOURCE6} $MAVEN_REPO_LOCAL/org/eclipse/jetty/jetty-parent/16/jetty-parent-16.pom
mkdir -p $MAVEN_REPO_LOCAL/org/codehaus/mojo/mojo-parent/23/
cp %{SOURCE7} $MAVEN_REPO_LOCAL/org/codehaus/mojo/mojo-parent/23/mojo-parent-23.pom

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export SETTINGS=$(pwd)/settings.xml

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.skip=true \
        -Dmaven.test.failure.ignore=true \
        install

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Daggregate=true \
        javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.eclipse.jetty jetty-project %{namedversion} JPP/%{name} jetty-project
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-project.pom

%add_to_maven_depmap org.eclipse.jetty.aggregate jetty-aggregate-project %{namedversion} JPP/%{name} jetty-aggregate-project
install -m 644 jetty-aggregate/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-aggregate-project.pom

%add_to_maven_depmap org.eclipse.jetty.aggregate jetty-all-server %{namedversion} JPP/%{name} jetty-all-server
install -m 644 jetty-aggregate/jetty-all-server/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-all-server.pom
install -m 644 jetty-aggregate/jetty-all-server/target/jetty-all-server-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-all-server-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty.aggregate jetty-all %{namedversion} JPP/%{name} jetty-all
install -m 644 jetty-aggregate/jetty-all/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-all.pom
install -m 644 jetty-aggregate/jetty-all/target/jetty-all-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-all-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-ajp %{namedversion} JPP/%{name} jetty-ajp
install -m 644 jetty-ajp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-ajp.pom
install -m 644 jetty-ajp/target/jetty-ajp-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-ajp-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-annotations %{namedversion} JPP/%{name} jetty-annotations
install -m 644 jetty-annotations/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-annotations.pom
install -m 644 jetty-annotations/target/jetty-annotations-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-annotations-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-client %{namedversion} JPP/%{name} jetty-client
install -m 644 jetty-client/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-client.pom
install -m 644 jetty-client/target/jetty-client-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-client-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-continuation %{namedversion} JPP/%{name} jetty-continuation
install -m 644 jetty-continuation/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-continuation.pom
install -m 644 jetty-continuation/target/jetty-continuation-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-continuation-%{version}.jar
install -m 644 jetty-continuation/target/jetty-continuation-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-continuation-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-deploy %{namedversion} JPP/%{name} jetty-deploy
install -m 644 jetty-deploy/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-deploy.pom
install -m 644 jetty-deploy/target/jetty-deploy-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-deploy-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-http %{namedversion} JPP/%{name} jetty-http
install -m 644 jetty-http/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-http.pom
install -m 644 jetty-http/target/jetty-http-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-http-%{version}.jar
install -m 644 jetty-http/target/jetty-http-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-http-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-io %{namedversion} JPP/%{name} jetty-io
install -m 644 jetty-io/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-io.pom
install -m 644 jetty-io/target/jetty-io-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-io-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-jmx %{namedversion} JPP/%{name} jetty-jmx
install -m 644 jetty-jmx/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-jmx.pom
install -m 644 jetty-jmx/target/jetty-jmx-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-jmx-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-jndi %{namedversion} JPP/%{name} jetty-jndi
install -m 644 jetty-jndi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-jndi.pom
install -m 644 jetty-jndi/target/jetty-jndi-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-jndi-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-jsp-2.1 %{namedversion} JPP/%{name} jetty-jsp-2.1
install -m 644 jetty-jsp-2.1/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-jsp-2.1.pom
install -m 644 jetty-jsp-2.1/target/jetty-jsp-2.1-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-jsp-2.1-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty.osgi jetty-osgi-project %{namedversion} JPP/%{name} jetty-osgi-project
install -m 644 jetty-osgi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-osgi-project.pom

%add_to_maven_depmap org.eclipse.jetty.osgi jetty-osgi-boot-jsp %{namedversion} JPP/%{name} jetty-osgi-boot-jsp
install -m 644 jetty-osgi/jetty-osgi-boot-jsp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-osgi-boot-jsp.pom
install -m 644 jetty-osgi/jetty-osgi-boot-jsp/target/jetty-osgi-boot-jsp-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-jsp-%{version}.jar
install -m 644 jetty-osgi/jetty-osgi-boot-jsp/target/jetty-osgi-boot-jsp-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-jsp-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty.osgi jetty-osgi-boot-logback %{namedversion} JPP/%{name} jetty-osgi-boot-logback
install -m 644 jetty-osgi/jetty-osgi-boot-logback/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-osgi-boot-logback.pom
install -m 644 jetty-osgi/jetty-osgi-boot-logback/target/jetty-osgi-boot-logback-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-logback-%{version}.jar
install -m 644 jetty-osgi/jetty-osgi-boot-logback/target/jetty-osgi-boot-logback-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-logback-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty.osgi jetty-osgi-boot %{namedversion} JPP/%{name} jetty-osgi-boot
install -m 644 jetty-osgi/jetty-osgi-boot/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-osgi-boot.pom
install -m 644 jetty-osgi/jetty-osgi-boot/target/jetty-osgi-boot-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-%{version}.jar
install -m 644 jetty-osgi/jetty-osgi-boot/target/jetty-osgi-boot-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty.osgi jetty-osgi-boot-warurl %{namedversion} JPP/%{name} jetty-osgi-boot-warurl
install -m 644 jetty-osgi/jetty-osgi-boot-warurl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-osgi-boot-warurl.pom
install -m 644 jetty-osgi/jetty-osgi-boot-warurl/target/jetty-osgi-boot-warurl-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-warurl-%{version}.jar
install -m 644 jetty-osgi/jetty-osgi-boot-warurl/target/jetty-osgi-boot-warurl-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-warurl-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty.osgi jetty-httpservice %{namedversion} JPP/%{name} jetty-httpservice
install -m 644 jetty-osgi/jetty-osgi-httpservice/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-httpservice.pom
install -m 644 jetty-osgi/jetty-osgi-httpservice/target/jetty-httpservice-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-httpservice-%{version}.jar
install -m 644 jetty-osgi/jetty-osgi-httpservice/target/jetty-httpservice-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-httpservice-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-plus %{namedversion} JPP/%{name} jetty-plus
install -m 644 jetty-plus/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-plus.pom
install -m 644 jetty-plus/target/jetty-plus-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-plus-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-rewrite %{namedversion} JPP/%{name} jetty-rewrite
install -m 644 jetty-rewrite/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-rewrite.pom
install -m 644 jetty-rewrite/target/jetty-rewrite-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-rewrite-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-security %{namedversion} JPP/%{name} jetty-security
install -m 644 jetty-security/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-security.pom
install -m 644 jetty-security/target/jetty-security-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-security-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-server %{namedversion} JPP/%{name} jetty-server
install -m 644 jetty-server/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-server.pom
install -m 644 jetty-server/target/jetty-server-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-server-%{version}.jar
install -m 644 jetty-server/target/jetty-server-%{namedversion}-site-component.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-server-site-component-%{version}.jar
install -m 644 jetty-server/target/jetty-server-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-server-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-servlets %{namedversion} JPP/%{name} jetty-servlets
install -m 644 jetty-servlets/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-servlets.pom
install -m 644 jetty-servlets/target/jetty-servlets-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-servlets-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-servlet %{namedversion} JPP/%{name} jetty-servlet
install -m 644 jetty-servlet/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-servlet.pom
install -m 644 jetty-servlet/target/jetty-servlet-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-servlet-%{version}.jar
install -m 644 jetty-servlet/target/jetty-servlet-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-servlet-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-start %{namedversion} JPP/%{name} jetty-start
install -m 644 jetty-start/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-start.pom
install -m 644 jetty-start/target/jetty-start-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-start-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-util %{namedversion} JPP/%{name} jetty-util
install -m 644 jetty-util/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-util.pom
install -m 644 jetty-util/target/jetty-util-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-util-%{version}.jar
install -m 644 jetty-util/target/jetty-util-%{namedversion}-config.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-util-config-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-webapp %{namedversion} JPP/%{name} jetty-webapp
install -m 644 jetty-webapp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-webapp.pom
install -m 644 jetty-webapp/target/jetty-webapp-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-webapp-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-websocket %{namedversion} JPP/%{name} jetty-websocket
install -m 644 jetty-websocket/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-websocket.pom
install -m 644 jetty-websocket/target/jetty-websocket-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-websocket-%{version}.jar
install -m 644 jetty-websocket/target/jetty-websocket-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-websocket-tests-%{version}.jar

%add_to_maven_depmap org.eclipse.jetty jetty-xml %{namedversion} JPP/%{name} jetty-xml
install -m 644 jetty-xml/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jetty-xml.pom
install -m 644 jetty-xml/target/jetty-xml-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-xml-%{version}.jar

#BUILD/jetty-7.2.2.v20101205/tests/test-webapps/test-webapp-rfc2616/target/test-webapp-rfc2616-7.2.2.v20101205.war
#BUILD/jetty-7.2.2.v20101205/test-jetty-webapp/target/test-jetty-webapp-7.2.2.v20101205.war

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/*

%changelog
* Thu Jun 23 2011 Ralph Apel <r.apel at r-apel.de> 0:7.2.2-0.20101205.1
- First tentative release
